/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct RetentionPolicyForTeamList {
    /// The list of team policies.
    #[serde(rename = "policies", skip_serializing_if = "Option::is_none")]
    pub policies: Option<Vec<crate::openapi::models::DataRetentionPolicyForTeam>>,
    /// The total number of team policies.
    #[serde(rename = "total_count", skip_serializing_if = "Option::is_none")]
    pub total_count: Option<i32>,
}

impl RetentionPolicyForTeamList {
    pub fn new() -> RetentionPolicyForTeamList {
        RetentionPolicyForTeamList {
            policies: None,
            total_count: None,
        }
    }
}
